activemq-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robbie Gemmell (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMQ-6585) Upgrade to Camel 2.19.x
Date Fri, 16 Jun 2017 10:57:00 GMT

     [ https://issues.apache.org/jira/browse/AMQ-6585?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Robbie Gemmell updated AMQ-6585:
--------------------------------
    Summary: Upgrade to Camel 2.19.x  (was: Upgrade to Camel 2.18.x)

> Upgrade to Camel 2.19.x
> -----------------------
>
>                 Key: AMQ-6585
>                 URL: https://issues.apache.org/jira/browse/AMQ-6585
>             Project: ActiveMQ
>          Issue Type: Improvement
>          Components: Broker, OSGi/Karaf
>            Reporter: Christopher L. Shannon
>            Assignee: Christopher L. Shannon
>             Fix For: 5.15.0
>
>
> Now that ActiveMQ version 5.15.0 is going to be Java 8 we can upgrade to the latest version
of Camel 2.18.x.  The biggest challenge here is the OSGi portion as it will break because
the new version of Camel was refactored a bit and spring dm was moved into its own module,
etc. One issue I noticed is that Spring-xbean causes a problem because it still relies on
Spring 3.2.x.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message